Skip to main content
POST
/
verify
/
email-otp
Verify Email OTP Challenge
curl --request POST \
  --url https://api.authsignal.com/v1/client/verify/email-otp \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "verificationCode": "<string>"
}
'
import requests

url = "https://api.authsignal.com/v1/client/verify/email-otp"

payload = { "verificationCode": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({verificationCode: '<string>'})
};

fetch('https://api.authsignal.com/v1/client/verify/email-otp', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "isVerified": true,
  "accessToken": "<string>"
}
{
"error": "<string>",
"errorDescription": "<string>"
}
{
"error": "<string>",
"errorDescription": "<string>",
"errorCode": "<string>"
}
{
"error": "<string>",
"errorDescription": "<string>"
}

Authorizations

Authorization
string
header
required

Use a short-lived token obtained from the Server API's Track Action endpoint. The token is valid for 10 minutes and should be passed in the Authorization header as 'Bearer {token}'.

Body

application/json
verificationCode
string
required

The OTP code inputted by the user.

Response

OK

isVerified
boolean
required

True if the inputted OTP code matches the code which was sent.

accessToken
string

A new short-term token with scopes to manage authenticators (e.g. add secondary authenticators, remove authenticators, view or regenerate recovery codes). Only present if the challenge succeeded.

failureReason
enum<string>
Available options:
CODE_INVALID_OR_EXPIRED,
MAX_ATTEMPTS_EXCEEDED